commit:     1f0a334057d92489c4f2749085194910767653da
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 10:33:27 2019 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 10:36:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f0a3340

sys-devel/dwz: fix calling cc directly

Closes: https://bugs.gentoo.org/683024
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Tiziano Müller <dev-zero <AT> gentoo.org>

 sys-devel/dwz/dwz-0.12-r1.ebuild | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/sys-devel/dwz/dwz-0.12-r1.ebuild b/sys-devel/dwz/dwz-0.12-r1.ebuild
new file mode 100644
index 00000000000..9926eba6d80
--- /dev/null
+++ b/sys-devel/dwz/dwz-0.12-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+FPKG_HASH="1624afa75b94633e03c6e1bb952fb348"
+
+DESCRIPTION="DWARF optimization and duplicate removal tool"
+HOMEPAGE="https://sourceware.org/git/?p=dwz.git;a=summary";
+SRC_URI="https://src.fedoraproject.org/repo/pkgs/dwz/${P}.tar.bz2/${FPKG_HASH}/${P}.tar.bz2";
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="dev-libs/elfutils"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_prepare() {
+       default
+       sed -i \
+               -e '/^CFLAGS/d' \
+               Makefile || die "sed failed"
+       tc-export CC
+}

Reply via email to